### Constructor

# Adw SpinRownew

since: 1.4

#### Declaration [src]

    GtkWidget*
    adw_spin_row_new (
      GtkAdjustment* adjustment,
      double climb_rate,
      guint digits
    )

#### Description [src]

Creates a new `AdwSpinRow`.

Available since: 1.4

#### Parameters

`adjustment`

  Type: `GtkAdjustment`

  The adjustment that this spin row should use.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`climb_rate`

  Type: `double`

  The rate the value changes when holding a button or key.

`digits`

  Type: `guint`

  The number of decimal places to display.

#### Return value

Type: `GtkWidget`

The newly created `AdwSpinRow`

The data is owned by the called function.